libnvme(2)

NAME
struct nvme_host_discover_log - Host Discovery Log

SYNOPSIS
struct nvme_host_discover_log {
__le64 genctr;
__le64 numrec;
__le16 recfmt;
__u8 hdlpf;
__u8 rsvd19;
__le32 thdlpl;
__u8 rsvd24[1000];
struct nvme_host_ext_discover_log hedlpe[];
};

Members

genctr
    Generation Counter

numrec
    Number of Records

recfmt
    Record Format

hdlpf
    Host Discovery Log Page Flags

rsvd19
    Reserved

thdlpl
    Total Host Discovery Log Page Length

rsvd24
    Reserved

hedlpe
    Host Extended Discovery Log Page Entry List